## Name

gfs_acl_get_file — get a Gfarm ACL by filename

## Synopsis

    #include <gfarm/gfarm.h>

`gfarm_error_t gfs_acl_get_file(` | gfarm_url, |
| type, |
| acl_p`)`; |

`const char *gfarm_url`;
`gfarm_acl_type_t type`;
`gfarm_acl_t *acl_p`;

## INPUT ARGUMENTS

`gfarm_url`

  A path name in the Gfarm filesystem.

`type`

  GFARM_ACL_TYPE_ACCESS (to get the access ACL) or GFARM_ACL_TYPE_DEFAULT (to get the default ACL).

`acl_p`

  A pointer of ACL structure type.

## RETURN VALUES

`GFARM_ERR_NO_ERROR`

  The function terminated successfully.

`GFARM_ERR_NO_SUCH_OBJECT`

  The gfarm_url does not exist or The gfarm_url does not have the type of ACL.

`GFARM_ERR_NO_MEMORY`

  Insufficient memory was available.

Others

  An error except the above occurred. The reason is shown by gfarm_error_string(3).

## SEE ALSO

gfs_acl_free(3), gfs_acl_get_entry(3), gfs_acl_set_file(3), gfs_attr(5)